no lotw upload

22 posts / 0 new
Last post
oz1hyi
no lotw upload

Export to the adif file completed.
File:
/home/willy/.config/cqrlog/lotw/2018-01-01_13-46-52.adi
Signing adif file ...
Signed ...
If you did not see any errors, you can send signed file to LoTW website by pressing Upload button

Uploading file ...
Size:
Error: -2
That message get I when I try uploading to LOTW.. In the earliere version ( updated yesterday to 2.2.0) via launchpad.. pc OS is Linux Mint 32 bit 18.1 Serena. In the old version (before update) no problem to up and download via Lotw...
Have tried to cut down and start up again... same message... (sorry for spelling and gramatics)

ok7an
ok7an's picture
Re: no lotw upload

It seems the problem is with open ssl libraries.

Open a console, start cqrlog with --debug=1 parameter and paste there the output. It shows loaded libraries when starts.

73 Petr

f5owl
I have exactly the same

I have exactly the same problem (on xubuntu 16.04 32bits).
On LOTW download :
NOT logged
Error: -2
Error:
Error: ssl_openssl

Here is my debug output :

**** DEBUG LEVEL 1 ****

SSL libraries:

Loading libmysqlclient: /usr/lib/i386-linux-gnu/libmysqlclient.so.20.3.7
**************************
MySQL version: 5.7
**************************
**********************************
MySQL version assigned: 5.7
**********************************
Loaded 111576 LoTW users
Loaded 110897 eQSL users
Loaded 44106 SCP calls
*
User home directory: /home/philippe/
Program home directory: /home/philippe/.config/cqrlog/
Data directory: /home/philippe/.config/cqrlog/database/
Memebers directory: /usr/share/cqrlog/members/
ZIP code directory: /usr/share/cqrlog/zipcodes/
Binary dir: /usr/bin/
Share dir: /usr/share/cqrlog/
TConnection to MySQL: 5.7
*
56 us states loaded
/usr/sbin/mysqld --defaults-file=/home/philippe/.config/cqrlog/database/mysql.cnf --datadir=/home/philippe/.config/cqrlog/database/ --socket=/home/philippe/.config/cqrlog/database/sock --port=64000
Trying to connect to database
TMySQL57Connection : Server connect failed.
Trying:1
select * from tables where table_schema = 'cqrlog_common'

SELECT log_nr,log_name FROM cqrlog_common.log_list order by log_nr

use cqrlog001

use cqrlog001

use cqrlog001

use cqrlog001

use cqrlog001

SELECT * FROM cqrlog_config

select * from db_version

select * from cqrlog_common.db_version

SELECT * FROM cqrlog_common.dxcc_ref ORDER BY ADIF

SELECT * FROM cqrlog_common.dxcc_ref ORDER BY ADIF

Settings:
-----------------------------------------------------
RigCtldPath:/usr/bin/rigctld
RigCtldArgs:-m 231 -r /dev/ts590 -t 4532 -s 115200 --set-conf=data_bits=8,stop_bits=2,serial_parity=None
RunRigCtld: FALSE
RigDevice: /dev/ts590
RigCtldPort:4532
RigCtldHost:localhost
RigPoll: 500
RigSendCWR: FALSE
RigId: 231

rigctld started!
Connected to localhost:4532

Settings:
-----------------------------------------------------
RotCtldPath:/usr/bin/rotctld
RotCtldArgs:-m 602 -r /dev/ttyACM0 -t 4500 -s 57600 --set-conf=data_bits=8,stop_bits=1,serial_parity=None,serial_handshake=None,dtr_state=Unset,rts_state=Unset
RunRotCtld: FALSE
RotDevice: /dev/ttyACM0
RotCtldPort:4500
RotCtldHost:localhost
RotPoll: 1000
RotId: 602

rotctld started!
Connected to localhost:4500
select id,freq,mode,bandwidth from freqmem order by id

Sending: fmv

CW init
SELECT * FROM profiles WHERE visible > 0 ORDER BY nr

SELECT * FROM profiles WHERE nr = -1

SELECT * FROM profiles WHERE visible > 0 ORDER BY nr

SELECT * FROM profiles WHERE nr = -1

select * from view_cqrlog_main_by_qsodate where qsodate >= '2017-TMP:

73,
Philippe

f5owl
Hello,

Hello,
It seems that ssl libraries are not loaded :
**** DEBUG LEVEL 1 ****

SSL libraries:

Loading libmysqlclient: /usr/lib/i386-linux-gnu/libmysqlclient.so.20.3.7

I am stuck with this problem since the last update.
What can I do ?
Thank
Philippe

oh1kh
SSL

Just do as 2 last lines in Download page says:

The binaries should work in any distribution. Please don't forget to install MySQL server, MySQL client, Hamlib libraries and if LoTW support is desired, trustedqsl package and libssl-devel must be installed.

If you have Synaptic packet manager installed start it and make search for libssl-dev.
If you do not have synaptic, or that does not show anything then put words: libssl-devel xubuntu to google search.
You will find several hits with download links.
Download package and install it from command line with sudo dpkg -i DEB_PACKAGE (get more help from google if you do not know how to install from command line).

I hope this helps forward!

--
Saku
OH1KH

--
Saku
OH1KH

f5owl
Thank you,

Thank you,
But libssl-dev is already installed :
trustedqsl is already the newest version (2.2-2).
libssl-dev is already the newest version (1.0.2g-1ubuntu4.10)
Everything worked fine with the previous version 2.1.0 and the new version 2.2.0 came from ppa udate (2.2.0-1~xenial).
I thought that in this case I would not have to reinstall additional libraries.
Should I try to reinstall cqrlog from the deb_package and not from the ppa ?
Philippe

oh1kh
Answered but seems that

Answered but seems that forgot to press save.
You can try to reinstall from deb, or from the tar file.

If that does not help you can try to overlay my test binary over existing /usr/bin/cqrlog.
If that works we have one bug more caused by Lazarus 1.8.0 compile.

--
Saku
OH1KH

--
Saku
OH1KH

ik1iyu
no lotw upload

I have the same problem since the last upgrade.
Everything worked fine before. I think this is a bug.

73 de Piero, IK1IYU

73! de Piero, IK1IYU

mw0ian
no lotw upload

Sorry to report but same problem here after upgrade.

73 Ian

oh1kh
no lotw upload

Hi!

I have just done LoTW upload and it went ok.
I have also ssl-libraries shown in debug text:

saku@hamtpad ~]$ cqrlog debug=1

**** DEBUG LEVEL 1 ****

SSL libraries:
/usr/lib64/libssl.so.1.0.0
/usr/lib64/libcrypto.so.1.0.0
Loading libmysqlclient: /usr/lib64/mysql/libmysqlclient.so.18
**************************
MySQL version: 10.
**************************
**********************************
MySQL version assigned: 5.6
**********************************
Loaded 112496 LoTW users

Could someone of you test the 1.6.4 Lazarus compiled binary from my test web: http://www.saunalahti.fi/~sakny/bin/cqrlog2/

Be sure to have logs backup (first thing to do before anything else).
Download zip to /tmp and extract it.
Move (or copy) your original /usr/bin/cqrlog to safe place for restore.

Copy extracted /tmp/cqrlog to /usr/bin
(/usr/bin operation needs sudo or being root)

Start cqrlog as usually.

It would be interesting to know if upload to LoTW works with that binary.

--
Saku
OH1KH

--
Saku
OH1KH

mw0ian
No LOTW Download

Hi Saku,

Not tested the upload but its the download from LOTW that's not working.
I'm at work today but will try running the debug in terminal when I get home later.

73 Ian

mw0ian
no lotw upload

**** DEBUG LEVEL 1 ****

SSL libraries:

Loading libmysqlclient: /usr/lib/i386-linux-gnu/libmysqlclient.so.20.3.7
**************************
MySQL version: 5.7
**************************
**********************************
MySQL version assigned: 5.7
**********************************
Loaded 112496 LoTW users
Loaded 111747 eQSL users
Loaded 41620 SCP calls
*

oh1kh
SSL

HEY!
Before the test binary test:
Where is the SSL lib??

Should be between these lines:
SSL libraries:

Loading libmysqlclient: /usr/lib/i386-linux-gnu/libmysqlclient.so.20.3.7

Try this:
sudo apt-get install libssl-dev

For me (in my small fileserver that is Lubuntu) it gives:
libssl-dev is already the newest version (1.0.2g-1ubuntu13.3)

What does it give for you !

--
Saku
OH1KH

oh1kh
No LOTW Download

Hi Ian!
My dnload went ok as well.
Please try with test binary so we see does it make any difference (as I'm using it here every day).

--
Saku
OH1KH

--
Saku
OH1KH

mw0ian
No LOTW Download

Hi Saku,
From terminal :' libssl-dev is already the newest version (1.0.2g-1ubuntu4.10)'
Is your Binary from the link 32bit?

Ian

mw0ian
No LOTW Download

Saku, when I try to run I get 'bash: /usr/bin/cqrlog: cannot execute binary file: Exec format error'

mw0ian
No LOTW Download

If I copy Binary from 'cqrlog_2.1.0_i386.tar.gz' , it all works fine

Terminal : **** DEBUG LEVEL 1 ****

SSL libraries:
/lib/i386-linux-gnu/libssl.so.1.0.0
/lib/i386-linux-gnu/libcrypto.so.1.0.0
Loading libmysqlclient: /usr/lib/i386-linux-gnu/libmysqlclient.so.20.3.7
**************************
MySQL version: 5.7
**************************
**********************************
MySQL version assigned: 5.7
**********************************
Loaded 112496 LoTW users
Loaded 111747 eQSL users
Loaded 41620 SCP calls
*

Hope this helps
Ian

oh1kh
No LOTW Download

Oh!
Pity. The binary is for x86_64 and so it does not run in your system.

At the moment I'm not able to compile it for i386. My only 386 pc has Lubuntu and apt offers only lazarus-1.8 and it compiles the same as Petr's official version. My alll other PCs are x86-64/Fedora based.

--
Saku
OH1KH

--
Saku
OH1KH

ik1iyu
no lotw upload

Yep! I confirm...
I copied the binary from 'cqrlog_2.1.0_i386.tar.gz' and now the LOTW download works fine.

Best 73 de Piero
IK1IYU

73! de Piero, IK1IYU

la3rk
No LOTW success

Get -2 openssl error when trying to download/upload LOTW files. openssl_dev is installed. Tried to reinstall cqrlog from repository, still same error.

Do I need to compile from source?

Running last version of ubuntu and version 2.2.0 of cqrlog. Error popped up approx 1 mth ago.

Practical suggestions are welcome.

73 de Olaf - LA3RK

Olaf Devik LA3RK

ok7an
ok7an's picture
RE: No LOTW success

Hi Olaf,

run cqrlog from console with --debug=1 parameter, please? There will be information about ssl libraries.

73 Petr

la3rk
No LOTW success

Output from log;
**** DEBUG LEVEL 1 ****

SSL libraries:

Loading libmysqlclient: /usr/lib/i386-linux-gnu/libmysqlclie$
**************************
MySQL version: 5.7
**************************
**********************************
MySQL version assigned: 5.7
**********************************
Loaded 113484 LoTW users
Loaded 112187 eQSL users
Loaded 41620 SCP calls
*
User home directory: /home/olaf/
Program home directory: /home/olaf/.config/cqrlog/
Data directory: /home/olaf/.config/cqrlog/database/
Memebers directory: /usr/share/cqrlog/members/
ZIP code directory: /usr/share/cqrlog/zipcodes/
Binary dir: /usr/bin/
Share dir: /usr/share/cqrlog/
TConnection to MySQL: 5.7

Seems CQRLOG do not find ssl library. From apt-get I get this info;
olaf@Fanless:~$ sudo apt-get install libssl-dev
[sudo] password for olaf:
Reading package lists... Done
Building dependency tree
Reading state information... Done
libssl-dev is already the newest version (1.0.2g-1ubuntu4.10).
The following packages were automatically installed and are no longer required:
gir1.2-gdesktopenums-3.0 gsettings-desktop-schemas-dev
libbonobo2-0 libbonobo2-common libcdaudio1 libenca0
libgail-3-0 libgles1-mesa libgnome-2-0 libgnome2-common
libgnomevfs2-0 libgnomevfs2-common libllvm3.8
libmircommon5 liborbit-2-0 libslv2-9 snap-confine
ubuntu-core-launcher xplanet xplanet-images
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
olaf@Fanless:~$

This problem started when I upgraded to last version of CQRLOG.

TQSL seems to work ok; info output from TQSL;
TQSL V2.3.1 build [pkg-v2.3.1]
(c) 2001-2016 American Radio Relay League

TrustedQSL library V2.5

Configuration data V11.4

wxWidgets 3.0.2 (Unicode)
libcurl V7.47.0
OpenSSL 1.0.2g 1 Mar 2016
zlib V1.2.8
Berkeley DB 5.3.28: (September 9, 2013)

Muon package manager claims libssl-dev is installed and current.

73 de Olaf - LA3RK

Olaf Devik LA3RK